# Uses of Class
org.eclipse.swt.graphics.FontData

Packages that use FontData
Package
Description
org.eclipse.rap.rwt.remote
org.eclipse.swt.graphics
org.eclipse.swt.widgets

## Uses of FontData in org.eclipse.rap.rwt.remote

Methods in org.eclipse.rap.rwt.remote with parameters of type FontData
Modifier and Type
Method
Description
`static JsonValue`
JsonMapping.`toJson(FontData fontData)`
Returns the JSON representation for the given FontData.

## Uses of FontData in org.eclipse.swt.graphics

Methods in org.eclipse.swt.graphics that return FontData
Modifier and Type
Method
Description
`FontData[]`
Font.`getFontData()`
Returns an array of `FontData`s representing the receiver.
`FontData[]`
Device.`getFontList(String faceName, boolean scalable)`
Returns `FontData` objects which describe the fonts that match the given arguments.
Constructors in org.eclipse.swt.graphics with parameters of type FontData
Modifier
Constructor
Description
``
`Font(Device device, FontData fontData)`
Constructs a new font given a device and font data which describes the desired font's appearance.
``
`Font(Device device, FontData[] fontData)`
Constructs a new font given a device and an array of font data which describes the desired font's appearance.

## Uses of FontData in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets that return FontData
Modifier and Type
Method
Description
`FontData[]`
FontDialog.`getFontList()`
Returns a FontData set describing the font that was selected in the dialog, or null if none is available.
`FontData`
FontDialog.`open()`
Makes the dialog visible and brings it to the front of the display.
Methods in org.eclipse.swt.widgets with parameters of type FontData
Modifier and Type
Method
Description
`void`
FontDialog.`setFontList(FontData[] fontData)`
Sets the set of FontData objects describing the font to be selected by default in the dialog, or null to let the platform choose one.